#ifndef _BT_H_
#define _BT_H_

#include <ostream>

using namespace std;

class BT {
public:
  char opr;
  int opd;
  BT *left, *right, *parent;
  float x, y;
  BT();
  friend ostream& operator<<(ostream &ostr, BT &bt);
  int EvaluateExpression();
  void Draw();
  void Sety(int level);
  void SetxInOrder(int& ior);
  void FinalizeXCoordinate();
  void FindCanvasBottomRightCorner(float& bottomf, float& rightf);
  void DrawTree(char *canvas, int righti, int scalef);
  void DrawBox(char *canvas, int righti, 
    int scalef, int pixX, int pixY, char ink);
};

#endif