#ifndef DLLI_H_
#define DLLI_H_

#include "tiffImage.h"

class DLLINode {
  TiffImage *tiffImage;
  DLLINode *prev, *next;
public:
  DLLINode(TiffImage *_tiffImage);
  ~DLLINode();
  friend class DLLI;
};

class DLLI {
  int nodesN;
  DLLINode *header, *trailer;
  void SaveAllImages(int imageIndex, DLLINode *curr);
public:
  DLLI();
  ~DLLI();
  void InsertLast(TiffImage *tiffImage);
  void InsertFirst(TiffImage *tiffImage);
  void InsertAfter(DLLINode *afterThis, TiffImage *tiffImage);
  void SaveAllImages();
  void DeleteAllNodes(DLLINode *curr);

};

#endif